%global _empty_manifest_terminate_build 0
Name:		python-APScheduler
Version:	3.6.3
Release:	1
Summary:	In-process task scheduler with Cron-like capabilities
License:	MIT
URL:		https://github.com/agronholm/apscheduler
Source0:	https://files.pythonhosted.org/packages/89/3d/f65972547c5aa533276ada2bea3c2ef51bb4c4de55b67a66129c111b89ad/APScheduler-3.6.3.tar.gz
BuildArch:	noarch

BuildRequires: python-setuptools_scm python3-pip python3-setuptools python3-six python3-pytz 
BuildRequires: python3-funcsigs  python3-gevent python3-pymongo python3-redis
BuildRequires: python3-sqlalchemy python3-mock python3-tornado 
Requires:	python3-setuptools
Requires:	python3-six
Requires:	python3-pytz
Requires:	python3-tzlocal
Requires:	python3-futures
Requires:	python3-funcsigs
Requires:	python3-trollius
Requires:	python3-sphinx
Requires:	python3-sphinx-rtd-theme
Requires:	python3-gevent
Requires:	python3-pymongo
Requires:	python3-redis
Requires:	python3-rethinkdb
Requires:	python3-sqlalchemy
Requires:	python3-pytest
Requires:	python3-pytest-cov
Requires:	python3-pytest-tornado5
Requires:	python3-mock
Requires:	python3-pytest-asyncio
Requires:	python3-pytest-asyncio
Requires:	python3-tornado
Requires:	python3-twisted
Requires:	python3-kazoo 

%description
Documentation can be found `here <http://readthedocs.org/docs/apscheduler/en/latest/>`_.

%package -n python3-APScheduler
Summary:	In-process task scheduler with Cron-like capabilities
Provides:	python-APScheduler
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-APScheduler
Documentation can be found `here <http://readthedocs.org/docs/apscheduler/en/latest/>`_.

%package help
Summary:	Development documents and examples for APScheduler
Provides:	python3-APScheduler-doc
%description help
Documentation can be found `here <http://readthedocs.org/docs/apscheduler/en/latest/>`_.

%prep
%autosetup -n APScheduler-3.6.3

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-APScheduler -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 18 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
